Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IBaseExpression

All Known Subinterfaces:
  IConditionalExpression, IExpressionCollection, IScriptExpression

All Known Implementing Classes:
  BaseExpression, ConditionalExpression, ExpressionCollection, ScriptExpression

    public interface IBaseExpression

Base type to represent a generic data expression used in a report design. An expression has an optional return data type. Each expression can also be associated with a handle, which is used by the Data Engine to store the compiled evaluation plan for the expression.

Field Summary
`static java.lang.String` | `GROUP_OVERALL` Deprecated.

Method Summary
`int` | `getDataType()` Gets the data type of the expression.
`java.lang.String` | `getGroupName()` Deprecated.
`java.lang.Object` | `getHandle()` Returns the handle associated with the expression.
`void` | `setGroupName(java.lang.String name)` Deprecated.
`void` | `setHandle(java.lang.Object handle)` Associates the expression with the provided handle.

Field Detail

### GROUP_OVERALL

    static final java.lang.String GROUP_OVERALL

  Deprecated.
  The string value which stands for overall group.

  See Also:
    Constant Field Values

Method Detail

### getDataType

    int getDataType()

  Gets the data type of the expression. Acceptable return values are those enumeration constants defined in the `org.eclipse.birt.core.data.DataType` class. If the result data type of the expression is not known, return `UNKNOWN_TYPE`.

  See Also:
    `org.eclipse.birt.core.data.DataType`

### getHandle

    java.lang.Object getHandle()

  Returns the handle associated with the expression.

  Returns:
    the expression execution handle.

### setHandle

    void setHandle(java.lang.Object handle)

  Associates the expression with the provided handle.

### setGroupName

    void setGroupName(java.lang.String name)

  Deprecated.

  Set the group name this expession belongs to.

  Parameters:
    `name` -

### getGroupName

    java.lang.String getGroupName()

  Deprecated.

  The group on which this expression should be evaluated.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.